%global debug_package   %{nil}
%global goipath github.com/kubernetes-sigs/%{name}

Summary:       CLI and validation tools for Container Runtime Interface
Name:          cri-tools
Version:       1.27.1
Release:       2%{?dist}
License:       ASL 2.0
URL:           https://%{goipath}
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:       crictl.yaml

BuildRequires: golang glibc-static go-rpm-macros go-md2man
Provides:      crictl = %{version}-%{release}

%description
CLI and validation tools for Container Runtime Interface

%prep
%autosetup -n %{name}-%{version} -p1

%build
export GOFLAGS="-mod=vendor"
export BUILDTAGS="selinux seccomp"
export GOPATH="$PWD/.gopath"
mkdir -p $GOPATH/src/github.com/kubernetes-sigs
ln -sfn $PWD $GOPATH/src/%{goipath}
export LDFLAGS="-X %{goipath}/pkg/version.Version=%{version}"
%gobuild -o bin/crictl %{goipath}/cmd/crictl
go-md2man -in docs/crictl.md -out docs/crictl.1

%install
install -p -Dm 755 ./bin/crictl %{buildroot}%{_bindir}/crictl
install -p -Dm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/crictl.yaml
install -p -Dm 644 docs/crictl.1 %{buildroot}%{_mandir}/man1/crictl.1

%files
%license LICENSE
%doc CHANGELOG.md CONTRIBUTING.md OWNERS README.md RELEASE.md code-of-conduct.md
%doc docs/{benchmark.md,roadmap.md,validation.md}
%{_bindir}/crictl
%{_sysconfdir}/crictl.yaml
%{_mandir}/man1/crictl*.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.27.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 03 2023 jackeyji <jackeyji@tencent.com> - 1.27.1-1
- upgrade to 1.27.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.25.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.25.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 Shuo Wang <abushwang@tencent.com> - 1.25.0-1
- initial build
